<nz-page-header>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ "Social.Community.Ranking" | translate }}</nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div nz-row nzGutter="24" style="margin-bottom: 15px">
    <div nz-col nzXs="24" nzSm="24" nzMd="6" nzLg="6">
      <nz-select style="width: 100%" [nzPlaceHolder]='"Social.Community.rankingType" | translate' [(ngModel)]="selectedType" nzSize="large">
        <nz-option nzValue="citizens" [nzLabel]='"Social.Community.citizenRanking" | translate'></nz-option>
        <nz-option nzValue="countries" [nzLabel]='"Social.Community.countryRanking" | translate'></nz-option>
      </nz-select>
    </div>

    <div nz-col nzXs="24" nzSm="24" nzMd="6" nzLg="6" *ngIf="selectedType == 'citizens'">
      <nz-select style="width: 100%" nzShowSearch [nzPlaceHolder]="'Economy.Market.Country' | translate" [(ngModel)]="selectedCountry" nzSize="large"
        (ngModelChange)="changeSelectedCountry($event)" nzAllowClear="true">
        <nz-option *ngFor="let data of countryList" [nzLabel]="data.name" [nzValue]="data.id"></nz-option>
      </nz-select>
    </div>
  </div>

  <app-ranking-countries *ngIf="selectedType === 'countries'"></app-ranking-countries>
  <app-ranking-citizens *ngIf="selectedType === 'citizens'" [selectedCountry]="selectedCountryAction">
  </app-ranking-citizens>
</nz-spin>
